#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	libjpeg-turbo
Version		:	2.1.4
Release		:	14.4.0.0%{?dist}
Summary		:	A MMX/SSE2 accelerated library for manipulating JPEG image files
Group		:	System Environment/Libraries

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	IJG
URL		:	https://downloads.sourceforge.net/libjpeg-turbo

Source0		:	%{name}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	nasm
#-----------------------------------------------------------------------------
%description
The libjpeg-turbo package contains a library of functions for manipulating
JPEG images.

%prep
%setup -q

#---------------------------------------------------------
#building application
%build

mkdir build
pushd build

cmake									\
	-DCMAKE_INSTALL_PREFIX=%{_prefix}				\
	-DCMAKE_INSTALL_DEFAULT_LIBDIR=%{_libdir}			\
	-DCMAKE_BUILD_TYPE=RELEASE  					\
	-DENABLE_STATIC=FALSE       					\
	-DCMAKE_INSTALL_DOCDIR=%{_defaultdocdir}/%{name}-%{version}	\
	..


%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}
popd

%clean
%{__rm} -rf %{buildroot}

#installing program
%install

pushd build
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install
popd

%files			
%defattr(-,root,root,-)
%{_includedir}/*.h
%{_bindir}/{cjpeg,djpeg,jpegtran,rdjpgcom,tjbench,wrjpgcom}
%{_libdir}/libjpeg.so*
%{_libdir}/libturbojpeg.so*
%{_libdir}/cmake/%{name}/%{name}*.cmake
%{_libdir}/pkgconfig/*.pc
%{_defaultdocdir}/%{name}-%{version}/*
%{_mandir}/man1/*.1.gz

%pre

#after upgrade or remove
%preun

%post
/usr/sbin/ldconfig

%postun
/usr/sbin/ldconfig

%changelog
